export interface Day {
    date: Date;
    dayOfMonth: number;
    isCurrentMonth: boolean;
    isPreviousMonth?: boolean;
    isNextMonth?: boolean;
}
export declare enum CalendarEventType {
    DEADLINE = "deadlines",
    EVENT = "events"
}
export interface CalendarEvent {
    type: CalendarEventType;
    title: string;
    startDate: Date;
    endDate?: Date;
}
export declare const daysOfWeek: string[];
export declare const getCurrentMonthDays: (currentDate: Date) => Day[];
export declare const getPreviousMonthDays: (currentDate: Date, currentMonthDays: Day[]) => Day[];
export declare const getNextMonthDays: (currentDate: Date, currentMonthDays: Day[]) => Day[];
export declare const isSameDay: (a: Date, b: Date) => boolean;
export declare const isDuringDays: (startDate: Date, endDate: Date, targetDate: Date) => boolean;
export declare const getFormattedDate: (startDate: Date, endDate?: Date) => string | undefined;
