import React from 'react';
export interface UseAnchorProps {
    useAnchors?: boolean;
}
export interface ComponentWithLinkProps extends UseAnchorProps {
    link: string;
    openInNewTab?: boolean;
}
export interface LinkWrapperProps extends UseAnchorProps {
    link?: string;
    children: React.ReactNode;
    openInNewTab?: boolean;
    onClick?: () => void;
    className?: string;
}
/**
 * Wraps a link in a <Link> component if the link is not external.
 * @param openInNewTab Overrides opening in a new tab behavior.
 * @param useAnchors Whether to always use <a> tags instead of <Link> tags.
 * @param link
 * @param children
 * @param onClick
 * @param className
 * @constructor
 */
export declare const LinkWrapper: ({ openInNewTab, useAnchors, link, children, onClick, className }: LinkWrapperProps) => JSX.Element;
