import { Team } from './teamsModel';
import { Session } from './sessionModel';
export interface MyDuties {
    judge: JudgingSessionType[];
    team: JudgingSessionType[];
}
export interface JudgingSessionWithoutTeam {
    teamID: number;
    year: number;
    startTime: Date | string;
    endTime: Date | string;
    room: number;
    recording: JudgingSessionRecording;
    session: Session;
}
export interface JudgingSessionType extends JudgingSessionWithoutTeam {
    team: Team;
}
export interface JudgingSessionNoSession {
    team: Team;
    year: number;
    startTime: Date | string;
    endTime: Date | string;
    room: number;
    recording: JudgingSessionRecording;
}
export declare enum JudgingSessionRecordingStatus {
    SCHEDULED = "scheduled",
    PROCESSING = "processing",
    FAILED = "failed",
    ARCHIVED = "archived"
}
export interface JudgingSessionRecording {
    status: JudgingSessionRecordingStatus;
    peertubeUUID?: string;
    awsEmcJobID?: string;
}
