import { Dictionary } from 'lodash';
export declare enum TeamKind {
    HIGH_SCHOOL = "high_school",
    COMMERCIAL = "commercial",
    COMMUNITY_LAB = "community_lab",
    COLLEGIATE = "collegiate"
}
export interface Team {
    id: number;
    name: string;
    region?: string;
    country?: string;
    track?: string;
    kind?: TeamKind;
    section?: string;
    status: string;
    year: number;
    thumbnail?: string;
    abstract?: string;
    projectTitle?: string;
    projectPromotionURL?: string;
    isRemote: boolean;
    booth: string | null;
    schools: string | null;
    plazaPresentationDate: string | null;
    plazaPresentationPlace: string | null;
    plazaPresentationRecording: string | null;
}
export type TeamsByTrack = Dictionary<Team[]>;
export interface PerlTeamRosterEntry {
    ok: string;
    full_name: string;
    role: string;
}
export type TeamRosterType = {
    [key in MemberRole]: string[];
};
export declare enum MemberRole {
    PRIMARY_PI = "Primary PI",
    SECONDARY_PI = "Secondary PI",
    INSTRUCTOR = "Instructor",
    STUDENT_LEADER = "Student Leader",
    STUDENT = "Student",
    ADVISOR = "Advisor",
    OTHER = "Other"
}
